<?php
/**
 * Page Settings
 *
 * @package Verta
 */

CSCO_Kirki::add_section(
	'page_settings',
	array(
		'title'    => esc_html__( 'Page Settings', 'verta' ),
		'priority' => 50,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'radio',
		'settings' => 'page_sidebar',
		'label'    => esc_html__( 'Default Sidebar', 'verta' ),
		'section'  => 'page_settings',
		'default'  => 'right',
		'priority' => 10,
		'choices'  => array(
			'right'    => esc_html__( 'Right Sidebar', 'verta' ),
			'left'     => esc_html__( 'Left Sidebar', 'verta' ),
			'disabled' => esc_html__( 'No Sidebar', 'verta' ),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'radio',
		'settings' => 'page_header_type',
		'label'    => esc_html__( 'Default Page Header Type', 'verta' ),
		'section'  => 'page_settings',
		'default'  => 'standard',
		'priority' => 10,
		'choices'  => array(
			'standard'          => esc_html__( 'Standard', 'verta' ),
			'compact'           => esc_html__( 'Compact', 'verta' ),
			'compact-alt'       => esc_html__( 'Compact Alt', 'verta' ),
			'compact-boxed'     => esc_html__( 'Compact Boxed', 'verta' ),
			'compact-alt-boxed' => esc_html__( 'Compact Alt Boxed', 'verta' ),
			'large'             => esc_html__( 'Large', 'verta' ),
			'title'             => esc_html__( 'Page Title Only', 'verta' ),
			'none'              => esc_html__( 'None', 'verta' ),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'            => 'radio',
		'settings'        => 'page_media_preview',
		'label'           => esc_html__( 'Standard Page Header Preview', 'verta' ),
		'section'         => 'page_settings',
		'default'         => 'cropped',
		'priority'        => 10,
		'choices'         => array(
			'cropped'   => esc_html__( 'Display Cropped Image', 'verta' ),
			'uncropped' => esc_html__( 'Display Preview in Original Ratio', 'verta' ),
		),
		'active_callback' => array(
			array(
				'setting'  => 'page_header_type',
				'operator' => '==',
				'value'    => 'standard',
			),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod',
	array(
		'type'     => 'checkbox',
		'settings' => 'page_comments_simple',
		'label'    => esc_html__( 'Display comments without the View Comments button', 'verta' ),
		'section'  => 'page_settings',
		'default'  => false,
		'priority' => 10,
	)
);
