<?php
/**
 * Block Standard Type 3
 *
 * @var        $attributes - block attributes
 * @var        $options - layout options
 * @var        $posts - all available posts
 *
 * @package Verta
 */

$entry_outer_class  = 'cs-entry__outer';
$meta_category_type = 'one';
if ( isset( $options['meta_category_type'] ) && $options['meta_category_type'] ) {
	$meta_category_type = $options['meta_category_type'];
	$entry_outer_class .= ' cs-posts-area__category-style-' . $meta_category_type;
}

// Default top and bottom meta.
$top_meta    = array( 'category' );
$bottom_meta = array( 'author', 'date', 'views', 'shares', 'comments', 'reading_time', 'duration' );

if ( 'one' === $meta_category_type ) {
	$top_meta[] = 'photos';
} else {
	$bottom_meta[] = 'photos';
}

$options['overlay_transparent'] = false;

?>
<article <?php post_class(); ?>>
	<div class="cs-entry__outer<?php echo esc_attr( $entry_outer_class ); ?>">
		<?php cnvs_block_post_thumbnail( $options, $attributes ); ?>

		<div class="cs-entry__inner cs-entry__content ">

			<?php cnvs_block_post_meta( $options, $top_meta ); ?>

			<?php cnvs_block_post_title( $options ); ?>

			<?php cnvs_block_post_excerpt( $options ); ?>

			<?php cnvs_block_post_meta( $options, $bottom_meta ); ?>

			<?php if ( $options['moreButton'] ) { ?>
				<div class="cs-entry__read-more">
					<a href="<?php the_permalink(); ?>"><?php echo esc_html( $options['moreButtonLabel'] ); ?></a>
				</div>
			<?php } ?>
		</div>
	</div>
</article>

