<?php
/**
 * The template part for displaying header grid.
 *
 * @package Verta
 */

$header_type = csco_get_page_header_type();

$thumbnail_size = 'csco-medium';

if ( 'disabled' === csco_get_page_sidebar() || 'compact' === $header_type || 'compact-alt' === $header_type ) {
	$thumbnail_size = 'csco-large';
}

$header_class = 'cs-entry__header-grid';
if ( 'compact-alt' === $header_type || 'compact-alt-boxed' === $header_type ) {
	$header_class .= ' cs-entry__header-grid-alt';
}

?>
<div class="cs-entry__header <?php echo esc_attr( $header_class ); ?>">
	<div class="cs-entry__header-inner">
		<div class="cs-entry__header-info">
			<?php
			if ( is_singular( 'post' ) ) {
				csco_get_post_meta( array( 'category', 'views', 'reading_time', 'comments' ), false, true, 'post_meta' );
			}

			// Title.
			the_title( '<h1 class="cs-entry__title"><span>', '</span></h1>' );

			csco_post_subtitle();

			csco_entry_details( array( 'container' => false ) );
			?>
		</div>
		<?php
		if ( has_post_thumbnail() ) {
			?>
			<figure class="cs-entry__post-media post-media">
				<?php the_post_thumbnail( $thumbnail_size ); ?>
			</figure>
			<?php
		}
		?>
	</div>
</div>
