<?php
/**
 * Template part entry header
 *
 * @package Verta
 */

$header_type       = csco_get_page_header_type();
$header_type_slug  = str_replace( 'grid', 'compact', $header_type );
$header_type_class = 'cs-entry__header-' . $header_type_slug;

$thumbnail_size = 'csco-medium';

if ( 'disabled' === csco_get_page_sidebar() ) {
	$thumbnail_size = 'csco-large';
}

if ( 'uncropped' === csco_get_page_preview() && 'standard' === $header_type ) {
	$thumbnail_size = sprintf( '%s-uncropped', $thumbnail_size );
}

if ( 'large' === $header_type ) {
	$thumbnail_size = 'csco-extra-large';
}

if ( 'standard' === $header_type ) { ?>

	<div class="cs-entry__header <?php echo esc_attr( $header_type_class ); ?> cs-video-wrap">
		<div class="cs-entry__header-inner">

			<div class="cs-entry__header-info">
				<?php
				// Post Meta.
				if ( is_singular( 'post' ) ) {
					csco_get_post_meta( array( 'category', 'views', 'reading_time', 'comments', 'photos' ), false, true, 'post_meta' );
				}

				// Title.
				the_title( '<h1 class="cs-entry__title"><span>', '</span></h1>' );

				csco_entry_details();

				csco_post_subtitle();
				?>

			</div>

			<?php if ( has_post_thumbnail() ) { ?>
				<figure class="cs-entry__post-media post-media">
					<?php the_post_thumbnail( $thumbnail_size ); ?>
				</figure>
				<?php if ( get_the_post_thumbnail_caption() ) { ?>
					<figcaption class="cs-entry__caption-text wp-caption-text">
						<?php the_post_thumbnail_caption(); ?>
					</figcaption>
				<?php } ?>
			<?php } ?>

			<?php do_action( 'csco_entry_post_media_after' ); ?>

		</div>
	</div>

<?php } elseif ( 'large' === $header_type ) { ?>

	<div class="cs-entry__header <?php echo esc_attr( $header_type_class ); ?> cs-video-wrap">
		<div class="cs-entry__header-inner">

			<div class="cs-entry__header-info">
				<?php
				// Post Meta.
				if ( is_singular( 'post' ) ) {
					csco_get_post_meta( array( 'category', 'views', 'reading_time', 'comments', 'photos' ), false, true, 'post_meta' );
				}

				// Title.
				the_title( '<h1 class="cs-entry__title"><span>', '</span></h1>' );

				// Subtitle.
				csco_post_subtitle();

				csco_entry_details();
				?>
			</div>

		</div>
	</div>

<?php } elseif ( 'title' === $header_type ) { ?>

	<div class="cs-entry__header <?php echo esc_attr( $header_type_class ); ?>">
		<div class="cs-entry__header-inner">
			<div class="cs-entry__header-info">
				<?php the_title( '<h1 class="cs-entry__title"><span>', '</span></h1>' ); ?>
			</div>
		</div>
	</div>

	<?php
} elseif ( 'compact-boxed' === $header_type || 'compact-alt-boxed' === $header_type ) {

	get_template_part( 'template-parts/entry/entry-header-compact' );

}
