<?php
/**
 * The template for displaying the footer layout 6
 *
 * @package Verta
 */

?>

<footer <?php csco_footer_class(); ?> <?php csco_footer_scheme_attr(); ?>>
	<?php csco_component( 'footer_subscription_form', true, array( 'container' => true ) ); ?>

	<div class="cs-container">
		<?php
		$nav_menu     = csco_component( 'footer_nav_menu', false, array(
			'menu_class' => 'cs-nav-columns',
			'depth'      => 2,
		) );
		$social_links = csco_component( 'footer_social_links', false );
		$description  = csco_component( 'footer_description', false );

		if ( $nav_menu || $social_links || $description ) {
			?>
			<div class="cs-footer__item cs-footer__item-top">
				<?php if ( $nav_menu ) { ?>
					<div class="cs-footer__col cs-col-left">
						<?php csco_component_output( $nav_menu ); ?>
					</div>
				<?php } ?>

				<?php if ( $social_links || $description ) { ?>
					<div class="cs-footer__col cs-col-right">
						<div class="cs-footer__inner">
							<?php
								csco_component_output( $social_links );
								csco_component_output( $description );
							?>
						</div>
					</div>
				<?php } ?>
			</div>
		<?php } ?>

		<div class="cs-footer__item cs-footer__item-bottom">
			<div class="cs-footer__col cs-col-left">
				<?php csco_component( 'footer_logo' ); ?>
			</div>
			<div class="cs-footer__col cs-col-right">
				<?php csco_component( 'footer_copyright' ); ?>
			</div>
		</div>

	</div>
</footer>
